'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Translator = require('./Translator');

var _Translator2 = _interopRequireDefault(_Translator);

var _NoopProvider = require('./provider/NoopProvider');

var _NoopProvider2 = _interopRequireDefault(_NoopProvider);

var _YandexProvider = require('./provider/YandexProvider');

var _YandexProvider2 = _interopRequireDefault(_YandexProvider);

var _GoogleProvider = require('./provider/GoogleProvider');

var _GoogleProvider2 = _interopRequireDefault(_GoogleProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_Translator2.default.addProvider('noop', _NoopProvider2.default);
_Translator2.default.addProvider('yandex', _YandexProvider2.default);
_Translator2.default.addProvider('google', _GoogleProvider2.default);

exports.default = _Translator2.default;