'use strict';

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _Util = require('./../Util');

var _Util2 = _interopRequireDefault(_Util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var NoopProvider = (function () {
    function NoopProvider(key, uri) {
        _classCallCheck(this, NoopProvider);

        this.key = key;
        this.uri = uri;
    }

    _createClass(NoopProvider, [{
        key: 'supports',
        value: function supports(langs, to, from) {
            var lang = _Util2.default.composeLangsAlias(from, to);

            return [lang].indexOf(lang) > -1;
        }
    }, {
        key: 'getLangs',
        value: function getLangs() {
            return new Promise(function (resolve) {
                setTimeout(function () {
                    resolve(['en-ru', 'ru-en']);
                }, 350);
            });
        }
    }, {
        key: 'translate',
        value: function translate(text, to, from) {
            var lang = _Util2.default.composeLangsAlias(from, to);

            return new Promise(function (resolve) {
                setTimeout(function () {
                    resolve(text + '_' + lang);
                }, 350);
            });
        }
    }]);

    return NoopProvider;
})();

exports.default = NoopProvider;